document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_5100 | ---
+++
@@ -8,5 +8,3 @@
# Set up the versions to be used
# Don't export them as their used in the context of other calls
coreth_version=${CORETH_VERSION:-'v0.6.0-rc.1'}
-# Release of AvalancheGo compatible with previous database version
-prev_avalanchego_version=${PREV_AVALANCHEGO_VERSION:-'v1.4.5-preupgrade.4' } | bash |
d_bash_5101 | ---
+++
@@ -10,13 +10,8 @@
else
REDISPORT=6379
fi
+
DIR=./tmp/${REDISPORT}_dir
-
-cleanup(){
- killall -9 ssdb-server
- killall -9 redis-server
- rm -r $DIR
-}
prepare_dir() {
mkdir -p $DIR
@@ -24,23 +19,37 @@
}
startSSDBServer(){
- sed -i "s/6379/$REDISPORT/g" $SSDB_CFG
- $SSDB -d... | bash |
d_bash_5102 | ---
+++
@@ -1,4 +1,4 @@
-export CXXFLAGS="${CXXFLAGS} -std=c++11 -lstdc++ -x c++"
+export CXXFLAGS="${CXXFLAGS} -std=c++0x -stdlib=libc++ -lc++abi -lsupc++ -lstdc++ -x c++"
export CPPFLAGS="-I${PREFIX}/include"
export LDFLAGS="-L$PREFIX/lib"
export PBBAM_INC=$PREFIX/include | bash |
d_bash_5103 | ---
+++
@@ -25,6 +25,8 @@
--ignore public \
--ignore build \
--ignore vendor \
+ --ignore env \
+ --ignore __pycache__ \
-g ""'
export KEYTIMEOUT=1 | bash |
d_bash_5104 | ---
+++
@@ -5,6 +5,7 @@
INPUT_FORCE=${INPUT_FORCE:-false}
INPUT_DIRECTORY=${INPUT_DIRECTORY:-'.'}
_FORCE_OPTION=''
+REPOSITORY=${INPUT_REPOSITORY:-$GITHUB_REPOSITORY}
echo "Push to branch $INPUT_BRANCH";
[ -z "${INPUT_GITHUB_TOKEN}" ] && {
@@ -19,7 +20,7 @@
cd ${INPUT_DIRECTORY}
# Ensure that the remote of... | bash |
d_bash_5105 | ---
+++
@@ -6,6 +6,8 @@
case $nodeVersion in
v0.8.*)
echo "Node 0.8"
+ npm install istanbul -g
+ npm install coveralls -g
;;
*) # latest
npm install istanbul -g | bash |
d_bash_5106 | ---
+++
@@ -31,12 +31,13 @@
elif [ "${MATRIX_TYPE}" = "python-sharded" ]; then
- SHARDED_TEST_APPS="corehq.form_processor \
- corehq.sql_db \
- couchforms \
- casexml.apps.case \
- casexml.apps.phone \
- corehq.apps.receiverwrapper"
+ SHARDED_TEST_APPS="corehq.form_proces... | bash |
d_bash_5107 | ---
+++
@@ -6,6 +6,6 @@
sudo chmod ug=Xrw,o=Xr -R /emergence/services/sencha/frameworks.git
sudo git init --bare /emergence/services/sencha/builds.git
-echo "/emergence/services/sencha/frameworks.git/objects" > /emergence/services/sencha/builds.git/objects/info/alternates
+echo "/emergence/services/sencha/framewo... | bash |
d_bash_5108 | ---
+++
@@ -11,7 +11,7 @@
if [ "${#words}" -eq 2 ]; then
completions="$(rbenv commands)"
else
- completions="$(rbenv completions ${words[2,-1]})"
+ completions="$(rbenv completions ${words[2,-2]})"
fi
reply=("${(ps:\n:)completions}") | bash |
d_bash_5109 | ---
+++
@@ -4,5 +4,10 @@
do
echo "Compiling $i"
bn=$(basename $i .equelle)
- ../../equelle-build/compiler/ec --nondimensional -i $i --backend=cpu > "app/out_$bn.cpp"
+ nondim="swe twophase_fully_implicit twophase_fully_implicit_conservation twophase_grav"
+ if [[ $nondim =~ (^| )$bn($| ) ]]; then
... | bash |
d_bash_5110 | ---
+++
@@ -1,20 +1,24 @@
#!/bin/bash
-
-pid_collect=
cleanup() {
kill $!
exit 0
}
+try_start_collect() {
+ if ! pgrep 'collect_nyc' >/dev/null 2>&1; then
+ # Collect tweets in the background.
+ collect_nyc /home/reissb/noweats_data/collect 2>&1 | /usr/bin/logger -t noweats &
+ fi
+}
+
trap "cle... | bash |
d_bash_5111 | ---
+++
@@ -7,14 +7,7 @@
exit 1
fi
-echo $PATH
-cat ~/.bash_profile
-eval "$(rbenv init -)"
-rbenv versions
-rbenv rehash
-gem env
-
-gem install xcode-install
+gem install xcode-install cocoapods
rbenv rehash
ls -alR /Users/vmkite/Library/Caches
@@ -22,3 +15,6 @@
xcversion install "$XCODE_VERSION"
xcve... | bash |
d_bash_5112 | ---
+++
@@ -29,6 +29,9 @@
rm -rf example-private-repository
fi
+# Cannot use git+ssh because the ephemeral ssh-agent will be started in the
+# Docker container / pid namespace above and be terminated after the process
+# s3secrets-helper process exits
echo "+++ Cloning private repository with https"
-git clone... | bash |
d_bash_5113 | ---
+++
@@ -8,7 +8,7 @@
if [ -n "$artifact_urls" ]; then
for URL in $(echo $artifact_urls | sed -e "s| |\n|g" | sort -u); do
- curl --globoff -o $TMP_DATA/file_data "$artifact_urls"
+ curl --globoff -o $TMP_DATA/file_data "$URL"
if file -b $TMP_DATA/file_data | grep RPM &>/dev/null; then
yum i... | bash |
d_bash_5114 | ---
+++
@@ -1,5 +1,5 @@
VERSION=3.2.1
-TAR=ftp://sourceware.org/pub/libffi/libffi-$VERSION.tar.gz
+TAR=https://sourceware.org/pub/libffi/libffi-$VERSION.tar.gz
BUILD_DEPENDS=()
function recipe_version { | bash |
d_bash_5115 | ---
+++
@@ -14,8 +14,8 @@
sudo -i -u postgres psql cacophonytest -c "CREATE EXTENSION postgis"
echo "---- Setting up Minio ----"
-./mc --no-autocompletion config host add myminio http://127.0.0.1:9001 $MINIO_ACCESS_KEY $MINIO_SECRET_KEY
-./mc --no-autocompletion mb myminio/cacophony
+./mc config host add myminio ... | bash |
d_bash_5116 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-if [ -f "/dev/speaker" ]; then
+if [ -c "/dev/speaker" ]; then
if [ "$1" = "start" ]; then
/usr/local/bin/beep -p 500 200 | bash |
d_bash_5117 | ---
+++
@@ -2,7 +2,7 @@
# That is to avoid them from getting stripped out due to appearing falsely unused.
IOS_PROJECT=$(dirname $0)
-FRAMEWORK=$(builtin cd "$IOS_PROJECT/.."; pwd)
+FRAMEWORK=$(cd "$IOS_PROJECT/.."; pwd)
LIBRARIES=("$IOS_PROJECT/libbass_fx.a" "$IOS_PROJECT/libbassmix.a")
PROJECTS=("$FRAMEWORK... | bash |
d_bash_5118 | ---
+++
@@ -6,7 +6,7 @@
###########################################################################
-CONSUL_VER="1.5.1"
+CONSUL_VER="1.5.2"
UNAME=$(uname -s | tr '[:upper:]' '[:lower:]')
CONSUL_ZIP="consul_${CONSUL_VER}_${UNAME}_amd64.zip"
IGNORE_CERTS="${IGNORE_CERTS:-no}" | bash |
d_bash_5119 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u332-b09/OpenJDK8U-jdk_x64_linux_hotspot_8u332b09.tar.gz"
;;
java11)
- echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.14.1%2B1/OpenJDK11U-jdk_x64_linux_hotspot_11.0.14.1_1.tar.g... | bash |
d_bash_5120 | ---
+++
@@ -1,10 +1,10 @@
export AWSPATH=$HOME/.aws
-function aws {
+function aws_env {
source $AWSPATH/$1
}
function _aws_envs {
reply=($(ls $AWSPATH))
}
-compctl -K _aws_envs aws
+compctl -K _aws_envs aws_env | bash |
d_bash_5121 | ---
+++
@@ -17,9 +17,9 @@
fi
# spike CLI options:
-# -m<a:m,b:n>: specifies the memory layout. Springbok currently has 1MB IMEM at
-# 0x3200_0000 and 16MB DMEM at 0x3400_0000
+# -m<a:m,b:n>: specifies the memory layout. Springbok currently has 16MB TCM
+# at 0x3400_0000
# --varch: specifies the v-e... | bash |
d_bash_5122 | ---
+++
@@ -39,7 +39,7 @@
if [ ! -z "$branch" ]
then
- bitbucketurl="${bitbucketurl}/branch/${branch}"
+ bitbucketurl="${bitbucketurl}/branch/${branch}?dest=development"
fi
open $bitbucketurl | bash |
d_bash_5123 | ---
+++
@@ -33,6 +33,7 @@
--disable-skins2
--disable-xcb
--disable-caca
+ --disable-pulse
--disable-sdl
--disable-vnc
--with-macosx-version-min=10.7 | bash |
d_bash_5124 | ---
+++
@@ -1,4 +1,5 @@
rm -f src/version.py # Prevent 2to3 from copying it, since py3k/src/version.py was probably written by root.
cp locale/ py3k/ -R
+cp docs/ py3k/ -R
cp plugins/ py3k/ -R # copy plugins data
python 2to3/run.py src/ plugins/ test/ scripts/* setup.py -wWno py3k -f all -f def_iteritems -f def_i... | bash |
d_bash_5125 | ---
+++
@@ -1,14 +1,33 @@
#!/bin/bash
-echo "Destroying ChRIS containerized development environment from ./docker-compose.yml"
-echo " "
+source ./decorate.sh
-echo "1: Stopping services..."
-docker-compose stop
-echo " "
+title -d 1 "Destroying ChRIS containerized development environment" "from ./docker-compose... | bash |
d_bash_5126 | ---
+++
@@ -7,7 +7,7 @@
# also trap errors, to reenable terminal settings
trap onExit ERR
-time scala -classpath tutorial/execution-tutorial/target/execution-tutorial-assembly-0.13.1.jar \
+time java-classpath tutorial/execution-tutorial/target/execution-tutorial-assembly-0.13.1.jar \
com.twitter.scalding.... | bash |
d_bash_5127 | ---
+++
@@ -13,6 +13,7 @@
# Start MySQL process for tests
MYSQL_DATA=`mktemp -d /tmp/gnocchi-mysql-XXXXX`
mkfifo ${MYSQL_DATA}/out
+PATH=$PATH:/usr/libexec
mysqld --datadir=${MYSQL_DATA} --pid-file=${MYSQL_DATA}/mysql.pid --socket=${MYSQL_DATA}/mysql.socket --skip-networking --skip-grant-tables &> ${MYSQL_DATA}/o... | bash |
d_bash_5128 | ---
+++
@@ -13,4 +13,6 @@
cd "${DIR}" &&
git checkout "${BRANCH}" &&
sbt -batch clean "+ publishLocal"
+ mvn install:install-file -DartifactId=scalajs-react-components_sjs0.6_2.11 -DgroupId=com.olvind -Dversion=${VERSION} -DgeneratePom=true -Dfile=core/target/scala-2.11/scalajs-react-components_sjs0.6_2.11-... | bash |
d_bash_5129 | ---
+++
@@ -1,4 +1,4 @@
#!/usr/bin/env bash
cd "$(dirname "${BASH_SOURCE[0]}")"
-vim -esNu minivimrc +"Vader! *" >/dev/null
+vim -esNu minivimrc +"Vader! ${1:-*}" >/dev/null | bash |
d_bash_5130 | ---
+++
@@ -39,5 +39,6 @@
update_remotes "$HOME/.vim"
foreach_directory "$DOTFILES_ROOT/colors" "update_remotes"
-foreach_directory "$DOTFILES_ROOT/repos" "update_remotes"
foreach_directory "$DOTFILES_ROOT/vendor" "update_remotes"
+
+[ -d "$HOME/dev/repos" ] && foreach_directory "$HOME/dev/repos" "update_remotes... | bash |
d_bash_5131 | ---
+++
@@ -12,11 +12,23 @@
BRANCH=master
fi
-git clone https://github.com/calamares/calamares.git
-cd calamares
-git checkout --track origin/$BRANCH -b $BRANCH
-git submodule init
-git submodule update
+if [ -d calamares ]
+ cd calamares
+ git checkout --track origin/$BRANCH -b $BRANCH
+ git pull --... | bash |
d_bash_5132 | ---
+++
@@ -8,6 +8,7 @@
cd ${TRAVIS_BUILD_DIR}
pip install codecov
+pip install -U setuptools wheel
case "$INSTALL_TYPE" in
dev) | bash |
d_bash_5133 | ---
+++
@@ -1,11 +1,14 @@
#!/bin/bash
+
+set -e
if [ -z "$APPVEYOR_PULL_REQUEST_NUMBER" ]; then
if [ "$APPVEYOR_REPO_BRANCH" = "master" ]; then
echo "Building docs..."
- nvm alias default 14.3.0
echo "$GH_DEPLOY_TOKEN" | base64 -d > "$HOME/.ssh/id_rsa"
+ chmod 700 ~/.ssh
+ chmod 600 ~/.ssh... | bash |
d_bash_5134 | ---
+++
@@ -27,6 +27,7 @@
install_cask codekit
install_cask forklift
install_cask mamp
+ rm -rf '/Applications/MAMP PRO'
echo "Installing Quick Look plugins..."
| bash |
d_bash_5135 | ---
+++
@@ -1,11 +1,7 @@
#!/usr/bin/env bash
-# Toggles the visibility of a statusbar side.
-# The powerline root directory.
-cwd=$(dirname $0)
+source "$(dirname $0)/config/paths.sh"
+source "$(dirname $0)/lib/muting.sh"
-# Source lib functions.
-source "${cwd}/lib.sh"
-
-side="$1"
-mute_status "$side"
+side=$1... | bash |
d_bash_5136 | ---
+++
@@ -7,9 +7,4 @@
export CHPL_NIGHTLY_TEST_CONFIG_NAME="darwin"
-# Do not send modern mac test results to regressions list until
-# nondeterministic compiler errors are fixed.
-# (thomasvandoren, 2014-09-08)
-export CHPL_NIGHTLY_CRON_RECIPIENT="chapel-test-results-all@lists.sourceforge.net"
-
$CWD/nightly... | bash |
d_bash_5137 | ---
+++
@@ -1,6 +1,8 @@
#!/bin/sh
echo "cloneAllBitbucket.sh username targetuserorteam"
+
+cwd=$(pwd)
#USER=$1; curl --user ${USER} https://api.bitbucket.org/2.0/repositories/$2 | grep -o '"ssh:[^ ,]\+' | xargs -L1 git clone
@@ -13,6 +15,9 @@
do
echo "Cloning " $repo_name
git clone git@bitbucket.o... | bash |
d_bash_5138 | ---
+++
@@ -1,8 +1,9 @@
source bash-toolbox/init.sh
-package props
+include logger.Logger
-include logger.Logger
+include props.reader.PropsReader
+include props.writer.PropsWriter
include string.util.StringUtil
include string.validator.StringValidator | bash |
d_bash_5139 | ---
+++
@@ -1,12 +1,16 @@
#!/bin/sh
VERSION=${VERSION:="1.0.0"}
-INPUT_DIR=${INPUT_DIR:="`pwd`"}
-SCRIPTS_DIR=${SCRIPTS_DIR:="$INPUT_DIR/scripts"}
-OUTPUT_DIR=${OUTPUT_DIR:="$INPUT_DIR/target"}
+TEMPLATE=${TEMPLATE:="image.yaml"}
+SCRIPTS_DIR=${SCRIPTS_DIR:="`pwd`/scripts"}
+OUTPUT_DIR=${OUTPUT_DIR:="`pwd`/target... | bash |
d_bash_5140 | ---
+++
@@ -6,7 +6,7 @@
gem install kramdown
src="doc/supported-features.md"
template=doc/supported-features.erb
- version=$(grep '^ *"version":' package.json | sed -e 's/^.*"\([^"]*\)",$/\1/')
+ version=$(grep '^ *"version":' package.json | sed -e 's/^.*"\([^"]*\)",$/\1/' | sed -e 's/\.0$//')
... | bash |
d_bash_5141 | ---
+++
@@ -22,7 +22,22 @@
sed -i -e '/^ExecStart=/ s/$/ --storage-driver=overlay/' /etc/systemd/system/multi-user.target.wants/docker.service
}
+set_ssh_config() {
+ mkdir -p /root/.ssh
+ chomd 700 /root/.ssh
+ cat > /root/.ssh/config <<EOF
+Host *
+GSSAPIAuthentication no
+StrictHostKeyChecking no
... | bash |
d_bash_5142 | ---
+++
@@ -5,8 +5,15 @@
git pull origin master;
function doIt() {
- rsync --exclude ".git/" --exclude ".DS_Store" --exclude "bootstrap.sh" \
- --exclude "README.md" --exclude "LICENSE-MIT.txt" -avh --no-perms . ~;
+ rsync \
+ --exclude ".git/" \
+ --exclude ".DS_Store" \
+ --exclude "bootstrap.... | bash |
d_bash_5143 | ---
+++
@@ -1,2 +1,2 @@
-export PATH="./bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
+export PATH="./bin:/usr/local/bin:/Users/umd-laptop/anaconda/bin:/usr/local/sbin:$ZSH/bin:$PATH"
export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH" | bash |
d_bash_5144 | ---
+++
@@ -1,8 +1,13 @@
-#!/bin/sh
+#!/bin/bash
+
+# Substitute configuration
+for VARIABLE in `env | cut -f1 -d=`; do
+ sed -i "s={{ $VARIABLE }}=${!VARIABLE}=g" /etc/dovecot/*.conf
+done
# Fix permissions
chown -R mail:mail /mail
-chown -R mail:mail /var/lib/dovecot
+chown -R mail:mail /var/lib/dovecot
# ... | bash |
d_bash_5145 | ---
+++
@@ -5,5 +5,5 @@
SERVICE_PATH=$(pip show $DRIFT_SERVICE |grep "^Location:" |sed -e 's/Location: //g')
curl https://s3.amazonaws.com/aws-cloudwatch/downloads/latest/awslogs-agent-setup.py -O
-sudo python awslogs-agent-setup.py --region $AWS_REGION --configfile $SERVICE_PATH/config/awslogs/awslogs.conf
+sudo... | bash |
d_bash_5146 | ---
+++
@@ -14,7 +14,7 @@
mkdir /mnt/coreos
OEM_PARTITION_NUM=6 # https://coreos.com/os/docs/latest/sdk-disk-partitions.html
mount <%=installDisk%>${OEM_PARTITION_NUM} /mnt/coreos/
-echo "set linux_append=\"net.ifnames=0 biosdevname=0 coreos.first_boot=1 coreos.config.url=<%=ignitionScriptUri%>\"" > /mnt/coreos/gr... | bash |
d_bash_5147 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
export QPEDIR=/opt/Qtopia
-export PATH=$PATH=$QPEDIR/bin
+export PATH=$PATH:$QPEDIR/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$QPEDIR/lib | bash |
d_bash_5148 | ---
+++
@@ -9,5 +9,7 @@
setopt long_list_jobs
## pager
-export PAGER="less -R"
+export PAGER="less"
+export LESS="-R"
+
export LC_CTYPE=$LANG | bash |
d_bash_5149 | ---
+++
@@ -4,12 +4,26 @@
APPLESCRIPT=`cat <<EOF
try
- tell application "Finder"
- set appname to name of application file id "com.kapeli.dash"
- return 1
- end tell
+ tell application "Finder"
+ set appname to name of application file id "com.kapeli.dash"
+ return 1
+ end tell
on error err_msg number ... | bash |
d_bash_5150 | ---
+++
@@ -24,7 +24,7 @@
local filename="$1"
shift
[ "$filename" ] && {
- curl $opts -F f:1=@"$filename" $* ix.io/$id
+ curl --http1.0 $opts -F f:1=@"$filename" $* ix.io/$id
return
}
echo "^C to cancel, ^D to send." | bash |
d_bash_5151 | ---
+++
@@ -1,5 +1,17 @@
#!/bin/bash
-base=`dirname $0`
+# get the bin directory the script is actually stored in; for details see:
+# http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in
+SOURCE="${BASH_SOURCE[0]}"
+while [ -h "$SOURCE" ]; do
+ DIR="$( cd -P "$( dirname... | bash |
d_bash_5152 | ---
+++
@@ -1,4 +1,8 @@
#!/bin/sh
+
+function normalize {
+ echo "$1" | tr -dc '0-9'
+}
function split {
# N E C R O D A N C E R
@@ -9,7 +13,8 @@
window="^Crypt of the NecroDancer$"
delay=50
windowid=$(xdotool search --name "$window")
- echo $(split $1) | xargs xdotool key --window $windowid --delay $dela... | bash |
d_bash_5153 | ---
+++
@@ -27,7 +27,7 @@
export -f 'efunctions_indent'
-HERE=$(readlink -f $0)
+HERE=$(readlink -f "${BASH_SOURCE[0]}")
DIR=$(dirname "$HERE")
FDIR="$DIR/efunctions"
| bash |
d_bash_5154 | ---
+++
@@ -4,7 +4,6 @@
set -e
scripts/pre-deploy.sh
-cp build/vega-lite-schema.json _data/ # the latest schema may not have been copied
git checkout gh-pages
git pull
@@ -12,6 +11,7 @@
# build
npm run presite
+cp build/vega-lite-schema.json _data/ # the latest schema may not have been copied
git add d... | bash |
d_bash_5155 | ---
+++
@@ -9,14 +9,11 @@
VERSION=$(sed -n -e '/^let coq_version/ s/^[^"]*"\([^"]*\)"$/\1/p' configure.ml)
APP=bin/CoqIDE_${VERSION}.app
-# Create a .app file with CoqIDE
-make -j $NJOBS -l2 $APP
+# Create a .app file with CoqIDE, without signing it
+make PRIVATEBINARIES=$APP -j $NJOBS -l2 $APP
# Add Coq to th... | bash |
d_bash_5156 | ---
+++
@@ -10,7 +10,9 @@
coverage report -m
coverage run --source=oai ./manage.py test oai
coverage report -m
-pep8 --config=.pep8 --exclude=track,edxmako,course_modes,util,static_replace,external_auth,third_party_auth,student,xblock_django,microsite_configuration,certificates,branding,courseware,psychometrics,ve... | bash |
d_bash_5157 | ---
+++
@@ -14,3 +14,5 @@
# WORKING `CONFIGURE` COMMAND: it uses gcc to compile
# $ ./configure --enable-release --with-pcre --with-llvm-version=3.5
+# after the installation with `sudo make install` another command
+# to update the cache of headers maybe necessary `sudo ldconfig`. | bash |
d_bash_5158 | ---
+++
@@ -6,7 +6,7 @@
# Distributed under terms of the MIT license.
#
-ember deploy production --verbose=true --activate=true --show-progress=true
+npx ember deploy production --verbose=true --activate=true --show-progress=true
ENVIRONMENT=production
LOCAL_USERNAME=`whoami` | bash |
d_bash_5159 | ---
+++
@@ -9,6 +9,7 @@
~/Qt/5.2.1/clang_64/bin/qmake \
~/Developer/Qt/5.3/clang_64/bin/qmake \
~/Qt/5.3/clang_64/bin/qmake \
+ ~/Qt/5.4/clang_64/bin/qmake \
~/Qt5.3.0/5.3/clang_64/bin/qmake \
)
| bash |
d_bash_5160 | ---
+++
@@ -4,6 +4,6 @@
for file in $( ls *.sql )
do
pre_dot=${file%%.*}
-echo "mysql -u root -pblank $pre_dat < $pre_dot.sql"
-mysql -u root -pblank $pre_dot < $pre_dot.sql
+echo "mysql -u root -pblank $pre_dot < $pre_dot.sql"
+mysql -u root -pblank "$pre_dot" < $pre_dot.sql
done | bash |
d_bash_5161 | ---
+++
@@ -19,7 +19,7 @@
cargo build --release
# TODO Update this to package the right artifacts
- cp target/$TARGET/release/urdf-viz $stage/
+ cp target/release/urdf-viz $stage/
cd $stage
tar czf $src/$CRATE_NAME-$TRAVIS_TAG-$TARGET.tar.gz * | bash |
d_bash_5162 | ---
+++
@@ -8,4 +8,5 @@
--install-extension jpoissonnier.vscode-styled-components \
--install-extension 2gua.rainbow-brackets \
--install-extension eamodio.gitlens \
- --install-extension equinusocio.vsc-material-theme
+ --install-extension equinusocio.vsc-material-theme \
+ --install-extension dbaeumer.vscode-... | bash |
d_bash_5163 | ---
+++
@@ -3,6 +3,11 @@
# D4S2 Service startup script
set -e
+
+if [ -z "$POSTGRES_HOST" ]; then
+ echo "ERROR: Please set POSTGRES_HOST"
+ exit 1
+fi
# 1. Wait for postgres to be ready
until pg_isready -h "$POSTGRES_HOST"; do | bash |
d_bash_5164 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
# Build and tag the research-graph-synthic image.
-docker build . -t research-graph-synthetic -t gcr.io/research-graph/research-graph-synthetic
+docker build . -t research-graph-synthetic:latest -t gcr.io/research-graph/research-graph-synthetic:latest | bash |
d_bash_5165 | ---
+++
@@ -1,5 +1,5 @@
-if [ ! -f "$EASYRSA_PKI/issued/$OVPN_SERVER_CN.key" ] || [ "$REGENERATE_CERTS" == 'true' ]; then
+if [ ! -f "$PKI_DIR/issued/$OVPN_SERVER_CN.key" ] || [ "$REGENERATE_CERTS" == 'true' ]; then
EASYCMD="/opt/easyrsa/easyrsa --vars=/opt/easyrsa/vars"
$EASYCMD init-pki | bash |
d_bash_5166 | ---
+++
@@ -4,10 +4,13 @@
NIVIDIC_HOME=$HOME/workspace/nividic
NIVIDIC_CLASSES=$NIVIDIC_HOME/target/classes:/home/jourdren/Desktop/jsr223-api-1.0.jar
NIVIDIC_JS_DIR=$NIVIDIC_HOME/src/main/javascript
+JAVA_ARGS="-client -Xmx512m"
-MAIN_CLASS=fr.ens.transcriptome.nividic.js.JSRunner
-CLASSPATH=$NIVIDIC_CLASSES:/us... | bash |
d_bash_5167 | ---
+++
@@ -1,2 +1,4 @@
set -e
+# Clean out the .pyc files so that we don't get false negatives when we refactor code
+find . -name \*.pyc | xargs rm
PYTHONPATH=. python -m unittest discover -s emission/tests -p Test*; | bash |
d_bash_5168 | ---
+++
@@ -6,6 +6,6 @@
cd $PROJECTROOT
-find app/ui/src/main/res/values-* -name "strings.xml" -type f -exec ./tools/fix_transifex_output.sh {} \;
+find app/ui/legacy/src/main/res/values-* -name "strings.xml" -type f -exec ./tools/fix_transifex_output.sh {} \;
cd - | bash |
d_bash_5169 | ---
+++
@@ -4,7 +4,7 @@
# with script found at https://github.com/gopns/gopns/blob/master/test-coverage.sh
echo "mode: set" > acc.out
-returnval=`go test -v -coverprofile=profile.out`
+returnval=`go test -v -coverprofile=profile.out -tags noasm`
echo ${returnval}
if [[ ${returnval} != *FAIL* ]]
then
@@ -21,7 +... | bash |
d_bash_5170 | ---
+++
@@ -31,7 +31,7 @@
}
function merge {
- dpkg-scanpackages -m . /dev/null >Packages 2>/dev/null
+ dpkg-scanpackages -m . >Packages
gzip -9 -f Packages
}
| bash |
d_bash_5171 | ---
+++
@@ -2,7 +2,10 @@
cd $(dirname $0)
TEMPFILE=$(mktemp || mktemp -t X) 2>/dev/null
-EXTRA_VARS="tempfile=$TEMPFILE $*"
-eval ansible-playbook -i hosts --extra-vars "\"$EXTRA_VARS\"" deploy.yml >&2
+for var in $*; do
+ EXTRA_VARS="$EXTRA_VARS --extra-vars \"$var\"";
+done
+EXTRA_VARS="$EXTRA_VARS --extra-v... | bash |
d_bash_5172 | ---
+++
@@ -4,7 +4,7 @@
#export SQLCLI=sqlplus # For sqlplus client
export CONNECTION_STR=127.0.0.1:1521/xe # Adjust the connect string
export ORACLE_PWD=oracle # Adjust your local SYS password
-export UTPLSQL_CLI_VERSION="3.0.4"
+export UTPLSQL_CLI_VERSION="3.1.0"
export SELFTESTING_BRANCH=develop
export UTPL... | bash |
d_bash_5173 | ---
+++
@@ -49,7 +49,7 @@
# printf "envbot: Set %s=%s\n" "$_name" "$_value"
fi
fi
- done < $_env
+ done < "$_env"
fi
done
ENVBOT_PWD="$PWD" | bash |
d_bash_5174 | ---
+++
@@ -9,7 +9,7 @@
cat << EOF > $DESKTOP
[Desktop Entry]
Type=Application
-Name=Livestreamer-Twitch-GUI
+Name=Livestreamer Twitch GUI
GenericName=Twitch.tv browser for livestreamer
Comment=Browse Twitch.tv and watch streams in your videoplayer of choice
Keywords=livestreamer;twitch; | bash |
d_bash_5175 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
# The current directory is a mounted volume, and is owned by the
-# user running Docker on the host machine.
+# user running Docker on the host machine under linux (inc docker-machine).
#
# We don't want to trample all over the contents of this directory
# with files owned by ro... | bash |
d_bash_5176 | ---
+++
@@ -21,7 +21,7 @@
export feature_list=test-scenarios/$SCENARIO.test
fi
-PYTHONDONTWRITEBYTECODE=1 python3 $(which behave) -v -f allure_behave.formatter:AllureFormatter -o "$REPORT_DIR" --tags="osio-regular,${BEHAVE_DANGER_TAG:-~@osio.danger-zone}" --no-capture --no-capture-stderr @$feature_list
+PYTHONDO... | bash |
d_bash_5177 | ---
+++
@@ -1,8 +1,13 @@
#!/bin/bash
-# if the proxy is around, use it
-nc -z -w3 192.168.1.1 8123 && export http_proxy="http://192.168.1.1:8123"
export PATH="/usr/local/bin:$PATH"
+
+sudo pip3 install dmgbuild
+curl -Lo gon.zip https://github.com/mitchellh/gon/releases/download/v0.2.2/gon_0.2.2_macos.zip
+unzip ... | bash |
d_bash_5178 | ---
+++
@@ -1,7 +1,8 @@
-echo "deb http://packages.dotdeb.org jessie all" > /etc/apt/sources.list.d/dotbeb.list
-apt-key adv --keyserver keys.gnupg.net --recv-keys 89DF5277
+apt-get install -y apt-transport-https lsb-release ca-certificates
+wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg... | bash |
d_bash_5179 | ---
+++
@@ -1,26 +1,27 @@
#!/bin/bash
-BASEURL=https://raw.githubusercontent.com/mediachain/mediachain/master/protocol/src/main/protobuf/
+REMOTE=protobuf
PROTOBUF_DIR=$(dirname $0)/../protobuf
PROTOS_OUT_DIR=$(dirname $0)/../mediachain/proto
-FILES=("Transactor.proto")
+VERSION="0.0.1"
+#FILES=("Transactor.prot... | bash |
d_bash_5180 | ---
+++
@@ -2,6 +2,8 @@
module load git/2.8.4
git clone git@github.com:MeteoSwiss-APN/cosmo-pompa
cd cosmo-pompa
+git config user.email "jenkins@cscs.ch"
+git config user.name "Mr. Jenkins"
git remote add -f testsuite git@github.com:C2SM-RCM/testsuite
git subtree pull --prefix cosmo/test/testsuite/src/ testsuite... | bash |
d_bash_5181 | ---
+++
@@ -17,3 +17,12 @@
" 2> /dev/null
echo -n $UPASS
fi
+
+if [ -f "$1.sql" ]; then
+ mysql -u root -h localhost -p`cat /etc/linux.feature/mysql-pwd` $1 < $1.sql
+fi
+
+if [ -f "$1.key" ]; then
+ UPASS=`cat $1.key | xargs`
+ mysql -u root -h localhost -p`cat /etc/linux.feature/mysql-pwd` mysql -e "UPD... | bash |
d_bash_5182 | ---
+++
@@ -13,6 +13,7 @@
mono \
alacritty \
fzf \
+ light
# Uncomment this if using regular arch linux
#sudo pacman -Sy i3-wm | bash |
d_bash_5183 | ---
+++
@@ -3,3 +3,4 @@
docker build -t rsyslog-forwarder .
docker run --rm -d -p 514:514/udp --name forwarder rsyslog-forwarder
+sleep 10 | bash |
d_bash_5184 | ---
+++
@@ -14,7 +14,7 @@
}
trap 'cleanup' INT TERM EXIT
-var=${1-.}
+var=${1:-default}
# check for ${word} in ${string}
test "${string#*$word}" != "$string" && echo "$word found in $string" | bash |
d_bash_5185 | ---
+++
@@ -1,5 +1,7 @@
#!/usr/bin/env sh
-
+sudo pip install -r requirements/test.txt
+sudo -u postgres service postgresql start
+export PGPASSWORD=asylum; while true; do psql -q asylum -c 'SELECT 1;' 1>/dev/null 2>&1 ; if [ "$?" -ne "0" ]; then echo "Waiting for psql"; sleep 1; else break; fi; done
sudo -u postgr... | bash |
d_bash_5186 | ---
+++
@@ -2,15 +2,23 @@
if [ "$TRAVIS_REPO_SLUG" == "${GH_REF}" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_BRANCH" == "master" ]; then
- cd inst/web/
+ echo -e "Publishing staticdocs...\n"
+
+ cp -r inst/web ${HOME}
+ cd $HOME
git config --global user.email "travis@travis-ci.or... | bash |
d_bash_5187 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"
set -x
@@ -7,7 +7,8 @@
# rebuild the schema
# php ${ROOT_DIR}/app/console doc:data:drop --force
# php ${ROOT_DIR}/app/console doc:data:create
-php ${ROOT_DIR}/app/console doc:schema:create
+php ... | bash |
d_bash_5188 | ---
+++
@@ -6,8 +6,9 @@
pip install --upgrade google-api-python-client
# git clone on Master
+USER=CHANGE_TO_USER_NAME # change this ...
ROLE=$(/usr/share/google/get_metadata_value attributes/dataproc-role)
if [[ "${ROLE}" == 'Master' ]]; then
- cd $HOME
+ cd home/$USER
git clone https://github.com/Googl... | bash |
d_bash_5189 | ---
+++
@@ -7,6 +7,10 @@
application="Mangabi"
+if [[ -d "$HOME/Developer/sdk/google-cloud-sdk/bin" ]]; then
+ path=($HOME/Developer/sdk/google-cloud-sdk/bin $path)
+fi
+
#
# Aliases
# | bash |
d_bash_5190 | ---
+++
@@ -9,9 +9,6 @@
source /tmp/local-bosh/director/env
-curl -Lo /usr/local/bin/jq https://github.com/stedolan/jq/releases/download/jq-1.5/jq-linux64
-chmod +x /usr/local/bin/jq
-
export STEMCELL_PATH="stemcell/stemcell.tgz"
export STEMCELL_VERSION=$(cat stemcell/version)
| bash |
d_bash_5191 | ---
+++
@@ -4,8 +4,10 @@
export GOPATH="$WORKSPACE/go"
export PATH="$PATH:$GOROOT/bin:$GOPATH/bin"
# rewrite https:// for percona projects to git://
-git config --global url.git@github.com:percona/.insteadOf https://github.com/percona/
-cd "$WORKSPACE/go/src/github.com/percona/percona-agent"
+git config --global u... | bash |
d_bash_5192 | ---
+++
@@ -16,7 +16,11 @@
if [ -d "recipes/$recipe/source/.git" ]
then
git -C "recipes/$recipe/source" status
+ elif [ -e "recipes/$recipe/source.tar" ]
+ then
+ echo "Using source tarball"
+ tar --compare --file="recipes/$recipe/source.tar" -C "recipes/$recipe/source" --strip-... | bash |
d_bash_5193 | ---
+++
@@ -8,7 +8,7 @@
fuser -k 8080/tcp ; sleep 10
else
./gradlew &
- sleep 180
+ sleep 240
curl --retry 10 --retry-delay 5 -I http://localhost:8080/ | grep "HTTP/1.1 200 OK"
fuser -k 8080/tcp ; sleep 10
fi | bash |
d_bash_5194 | ---
+++
@@ -7,7 +7,19 @@
npm install
-node main.js > out/geonamesjp_vs_sac.nt.txt
+cat << EOS > out/geonamesjp_vs_sac.nt.txt
+# Copyright (c) 2016 Indigo Corp. Research and Development Center
+#
+# このデータはクリエイティブ・コモンズ 表示 - 継承 4.0 国際 ライセンスの下に提供されています。
+# <https://creativecommons.org/licenses/by-sa/4.0/deed.ja>
+#
... | bash |
d_bash_5195 | ---
+++
@@ -5,7 +5,7 @@
cat <<__DB > /etc/openxpki/config.d/system/database.yaml
main:
debug: 0
- type: MySQL
+ type: MariaDB
host: $OXI_TEST_DB_MYSQL_DBHOST
port: $OXI_TEST_DB_MYSQL_DBPORT
name: $OXI_TEST_DB_MYSQL_NAME | bash |
d_bash_5196 | ---
+++
@@ -27,6 +27,15 @@
pip uninstall $app -y
cd ..
#rm venv -Rf
+
+ mkdir venv3 -p
+ cd venv3
+ virtualenv ./ -p python3
+ source bin/activate
+ pip install ../dist/$app\-*.tar.gz
+ pip uninstall $app -y
+ ... | bash |
d_bash_5197 | ---
+++
@@ -13,6 +13,7 @@
echo 'Installing emscripten SDK...'
$EMSDK_PATH update
+$EMSDK_PATH update-tags
$EMSDK_PATH list
$EMSDK_PATH install sdk-1.37.9-64bit
$EMSDK_PATH activate sdk-1.37.9-64bit | bash |
d_bash_5198 | ---
+++
@@ -13,4 +13,6 @@
$DIR/wait_until_up.sh 7 || exit 1
+sleep 300
+
OPENSHIFT_USER=test OPENSHIFT_TOKEN=`oc config view -o jsonpath='{.users[?(@.name == "test/localhost:8443")].user.token}'` OPENSHIFT_URL=https://localhost:8443 gradle check -i | bash |
d_bash_5199 | ---
+++
@@ -6,7 +6,7 @@
exit 0
fi
-npm i -g npm-check-updates
+npm i -g npm-check-updates@2.15.0
rm -f yarn.lock
# Remove all ^ or ~ in the package.json file before update to be sure to keep the latest version | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.